/*
 * Copyright 2025 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * <h2>函数式编程</h2>
 *
 * <h3>1. PredicateTools</h3>
 * <p>
 * {@link PredicateTools} 用于 {@link java.util.function.Predicate} 的相关操作。
 * </p>
 *
 * <h3>2. Functional interfaces</h3>
 * <p>
 * 补充可能用得上的函数式接口：
 * <pre>
 * | Group         | FunctionalInterface  | method                           |
 * | ------------- | -------------------- | -------------------------------- |
 * | UnaryOperator | BoolUnaryOperator    | boolean applyAsBool (boolean)    |
 * | UnaryOperator | CharUnaryOperator    | char applyAsChar(char)           |
 * | Throwing      | Executable           | void execute() throws E          |
 * | Throwing      | ThrowingConsumer     | void accept(T) throws E          |
 * | Throwing      | ThrowingFunction     | R apply(T) throws E              |
 * | Throwing      | ThrowingPredicate    | boolean test(T) throws E         |
 * | Throwing      | ThrowingSupplier     | T get() throws E                 |
 * | Optional      | OptionalSupplier     | Optional&lt;T&gt; get() throws E       |
 * | Optional      | ToOptionalBiFunction | Optional&lt;R&gt; apply(T,U)           |
 * | Optional      | ToOptionalFunction   | Optional&lt;R&gt; apply(T)             |
 * </pre>
 * </p>
 *
 * @author <a href="http://zhouxy.xyz:3000/ZhouXY108">ZhouXY</a>
 */
package xyz.zhouxy.plusone.commons.function;
