/*
 * Copyright 2025 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package xyz.zhouxy.plusone.json.jackson;

import com.fasterxml.jackson.databind.Module;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.datatype.jsr310.JavaTimeModule;

public class JacksonTools {

    public static ObjectMapper newObjectMapperWithJavaTimeModule() {
        return newObjectMapperWithModules(new JavaTimeModule());
    }

    public static ObjectMapper newObjectMapperWithModules(Module... modules) {
        ObjectMapper objectMapper = new ObjectMapper();
        for (Module module : modules) {
            objectMapper.registerModule(module);
        }
        return objectMapper;
    }

    private JacksonTools() {
        throw new IllegalStateException("Utility class");
    }
}
